> ## Documentation Index
> Fetch the complete documentation index at: https://docs.prelude.so/llms.txt
> Use this file to discover all available pages before exploring further.

# List users

> List all users in the application.



## OpenAPI

````yaml get /v2/session/apps/{appID}/users
openapi: 3.1.1
info:
  title: Prelude Session Management API
  version: 0.0.1
  summary: The Prelude API for Session Management
  description: The Prelude API for Session Management.
  contact:
    email: support@prelude.so
    url: https://prelude.so
servers:
  - url: https://api.prelude.dev
    description: Production server
security:
  - Authorization: []
tags:
  - name: Mode
    description: Manage the mode (dev/prod) of your application.
  - name: Users
    description: Manage the users of your application.
  - name: Webhooks
    description: Manage the webhooks of your application.
  - name: Domains
    description: Manage the domains of your application.
  - name: Config - Scopes
    description: Manage the scope configuration of your application.
  - name: Config - Claims
    description: Manage the claims mapping configuration of your application.
  - name: Config - Step-up
    description: Manage the step-up authentication configuration of your application.
  - name: Config - Migration
    description: Manage the user migration configuration of your application.
  - name: Config - Login OTP
    description: Manage the OTP login configuration of your application.
  - name: Config - Login OAuth
    description: Manage the OAuth login configuration of your application.
  - name: Config - Login Password
    description: Manage the password login configuration of your application.
paths:
  /v2/session/apps/{appID}/users:
    parameters:
      - $ref: '#/components/parameters/appIDParam'
    get:
      tags:
        - Users
      summary: List users
      description: List all users in the application.
      operationId: listUsers
      parameters:
        - in: query
          name: identifier_type
          required: false
          description: The type of the identifier.
          schema:
            type: string
            enum:
              - phone_number
              - email_address
            examples:
              - phone_number
        - in: query
          name: identifier_value
          required: false
          description: The URL encoded value of the identifier.
          schema:
            type: string
            examples:
              - '%2B306912345678'
              - test%40example.com
        - in: query
          name: external_id
          required: false
          description: ID of the user in your system.
          schema:
            type: string
            examples:
              - customer-user-42
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetUsersResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvalidRequestError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SessionDisabledError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AppNotFoundError'
components:
  parameters:
    appIDParam:
      in: path
      name: appID
      required: true
      description: The id of the app the request refers to.
      schema:
        $ref: '#/components/schemas/AppID'
  schemas:
    GetUsersResponse:
      type: object
      properties:
        users:
          type: array
          items:
            $ref: '#/components/schemas/UserResponse'
      required:
        - users
    InvalidRequestError:
      type: object
      properties:
        code:
          type: string
          enum:
            - invalid_request
          examples:
            - invalid_request
        status:
          type: string
          enum:
            - bad_request
          examples:
            - bad_request
        message:
          type: string
          examples:
            - The request body is invalid.
      required:
        - code
        - status
        - message
    SessionDisabledError:
      type: object
      properties:
        code:
          type: string
          enum:
            - session_disabled
          examples:
            - session_disabled
        status:
          type: string
          enum:
            - forbidden
          examples:
            - forbidden
        message:
          type: string
          examples:
            - Session management is disabled for this application.
      required:
        - code
        - status
        - message
    AppNotFoundError:
      type: object
      properties:
        code:
          type: string
          enum:
            - app_not_found
          examples:
            - app_not_found
        status:
          type: string
          enum:
            - not_found
          examples:
            - not_found
        message:
          type: string
          examples:
            - The application was not found.
      required:
        - code
        - status
        - message
    AppID:
      type: string
      description: An application's unique identifier.
      examples:
        - 54e9ujn
        - fvua38g
    UserResponse:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/UserID'
        external_id:
          type: string
          description: ID of the user in your system.
          examples:
            - customer-user-42
        status:
          type: string
          examples:
            - active
            - inactive
        identifiers:
          type: array
          items:
            $ref: '#/components/schemas/IdentifierResponse'
        profile:
          type: object
          additionalProperties:
            type: string
          examples:
            - first_name: John
              last_name: Doe
        created_at:
          type: string
          format: date-time
          examples:
            - '2025-03-15T10:30:00Z'
        updated_at:
          type: string
          format: date-time
          examples:
            - '2025-03-15T12:00:00Z'
      required:
        - id
        - status
        - identifiers
        - profile
        - created_at
        - updated_at
    UserID:
      type: string
      description: An app's user's unique identifier. It is prefixed with 'usr_'
      examples:
        - usr_01jqebhswje1ka1z7ahr9rfsgt
        - usr_01jqy7455pf8p9bap5qke912g1
    IdentifierResponse:
      type: object
      properties:
        type:
          type: string
          enum:
            - phone_number
            - email_address
          examples:
            - phone_number
        value:
          type: string
          examples:
            - '+306912345678'
            - test@example.com
      required:
        - type
        - value
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````